# Add a markup to your FX rate

Adding a markup to an existing FX rate. For MCP customers only.

Endpoint: PUT /foreignExchange/markup/{entity}
Version: 1
Security: basicAuth

## Header parameters:

  - `Accept` (string, required)
    Example: "application/vnd.worldpay.foreignexchange-v1+json"

  - `WP-CorrelationId` (string)
    Optional ID to trace requests, if not provided, it is generated.
    Example: "15cd16b2-7b82-41cb-9b11-21be9dacad88"

## Path parameters:

  - `entity` (string, required)
    MCP Account Identifier (PartyID- Merchant Company ID, unique 6-digit ID given to you during the onboarding process) for which rates should be retrieved.
    Example: "100001"

## Request fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `sourceCurrency` (any, required)
    The transaction currency code. If not supplied, the response contains rates for all source currencies against the target currency.
    Example: "AUD"

  - `targetCurrency` (any, required)
    Your funding (settlement) currency code. If not supplied, the response contains rates for all target currencies against the source currency.
    Example: "GBP"

  - `markup` (any, required)
    The additional margin percentage set up on FX rates.
    Example: 1.23

## Response 401 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 403 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 404 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message

## Response 500 fields (application/vnd.worldpay.foreignexchange-v1+json):

  - `errorName` (string, required)
    The unique error name

  - `message` (string, required)
    Error description message


## Response 204 fields
